> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Remitter

> Register a new remitter for payout transfers



## OpenAPI

````yaml post /v1/remitters
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/remitters:
    post:
      summary: Create new remitter
      description: Create new remitter.
      operationId: create-remitter
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                entity_type:
                  type: string
                  enum:
                    - individual
                    - company
                full_name:
                  type: string
                id_number:
                  type: string
                id_type:
                  type: string
                  enum:
                    - national_id
                    - passport
                    - driving_license
                date_of_birth:
                  type: string
                  example: '1990-01-01'
                place_of_birth:
                  type: string
                  example: Singapore
                nationality:
                  type: string
                  example: sg
                contact_number:
                  type: string
                  example: '+6591234567'
                email:
                  type: string
                  format: email
                address:
                  type: object
                  properties:
                    street_address:
                      type: string
                      maxLength: 255
                    city:
                      type: string
                      maxLength: 100
                    state:
                      type: string
                      maxLength: 100
                    postal_code:
                      type: string
                      maxLength: 100
                    country:
                      type: string
                      maxLength: 100
                  required:
                    - street_address
                    - city
                    - state
                    - postal_code
                    - country
                company_name:
                  type: string
                  description: It's required if entity_type is company.
              required:
                - entity_type
                - full_name
                - date_of_birth
                - address
                - nationality
                - contact_number
            examples:
              Result:
                value:
                  entity_type: individual
                  full_name: Saul Schumm
                  id_number: A1748247986
                  id_type: national_id
                  date_of_birth: '1990-01-01'
                  place_of_birth: Singapore
                  nationality: sg
                  contact_number: '+6591234567'
                  email: test@gmail.com
                  address:
                    street_address: 123 Orchard Rd
                    city: 'Singapore '
                    state: Singapore
                    postal_code: '238888'
                    country: sg
                  company_name: Ebert, Zulauf and Daugherty
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9f0092ca-4b7d-4e33-b503-9dd27b0807ba
                    status: pending
                    entity_type: individual
                    full_name: Hilda Ferry
                    id_number: A1748248115
                    id_type: national_id
                    date_of_birth: '1990-01-01'
                    place_of_birth: Singapore
                    nationality: sg
                    contact_number: '+6591234567'
                    email: test5@gmail.com
                    address:
                      street_address: 123 Orchard Rd
                      city: Singapore
                      state: Singapore
                      postal_code: '238888'
                      country: sg
                    company_name: Abernathy Inc
                    created_by:
                      id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                      display_name: TestingSG
                      first_name: QA
                      last_name: SG
                    created_at: '2025-05-26T16:28:35+08:00'
                    updated_at: '2025-05-26T16:28:35+08:00'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  entity_type:
                    type: string
                    enum:
                      - individual
                      - company
                  full_name:
                    type: string
                  id_number:
                    type: string
                  id_type:
                    type: string
                    enum:
                      - national_id
                      - passport
                      - driving_license
                  date_of_birth:
                    type: string
                  place_of_birth:
                    type: string
                  nationality:
                    type: string
                  contact_number:
                    type: string
                  email:
                    type: string
                  address:
                    type: object
                    properties:
                      street_address:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      postal_code:
                        type: string
                      country:
                        type: string
                    required:
                      - street_address
                      - city
                      - state
                      - postal_code
                      - country
                  company_name:
                    type: string
                  created_by:
                    type: object
                    properties:
                      id:
                        type: string
                      display_name:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                    required:
                      - id
                      - display_name
                      - first_name
                      - last_name
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - status
                  - entity_type
                  - full_name
                  - id_number
                  - id_type
                  - date_of_birth
                  - place_of_birth
                  - nationality
                  - contact_number
                  - email
                  - address
                  - company_name
                  - created_by
                  - created_at
                  - updated_at
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: The entity type field is required. (and 10 more errors)
                    errors:
                      entity_type:
                        - The entity type field is required.
                      full_name:
                        - The full name field is required.
                      id_number:
                        - The id number field is required.
                      id_type:
                        - The id type field is required.
                      date_of_birth:
                        - The date of birth field is required.
                      address:
                        - The address field is required.
                      address.street_address:
                        - The address.street address field is required.
                      address.city:
                        - The address.city field is required.
                      address.state:
                        - The address.state field is required.
                      address.postal_code:
                        - The address.postal code field is required.
                      address.country:
                        - The address.country field is required.
      deprecated: false

````